com.verisign.epp.codec.validate.v02

## Enum EPPValidatePostalDefinition.Type

- java.lang.Object
- - java.lang.Enum<EPPValidatePostalDefinition.Type>
  - - com.verisign.epp.codec.validate.v02.EPPValidatePostalDefinition.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EPPValidatePostalDefinition.Type>
  Enclosing class:
    EPPValidatePostalDefinition

      public static enum EPPValidatePostalDefinition.Type
      extends java.lang.Enum<EPPValidatePostalDefinition.Type>
      implements java.io.Serializable, java.lang.Cloneable

  Localized type with one of the following values:
  - `LOC` - Localized form of data that MAY be represented in unrestricted UTF-8.
  - `INT` - Internationalized form o data that MUST be represented in a subset of UTF-8 that can be represented in the 7-bit US-ASCII character set.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INT`
    `LOC`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPValidatePostalDefinition.Type` | `getType(java.lang.String aType)` Get the type enumerated value given the matching string.
    `java.lang.String` | `toString()` Convert the enumerated `Type` value to a `String` .
    `static EPPValidatePostalDefinition.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPValidatePostalDefinition.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOC

          public static final EPPValidatePostalDefinition.Type LOC

    - #### INT

          public static final EPPValidatePostalDefinition.Type INT

  - ### Method Detail

    - #### values

          public static EPPValidatePostalDefinition.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPValidatePostalDefinition.Type c : EPPValidatePostalDefinition.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPValidatePostalDefinition.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public static EPPValidatePostalDefinition.Type getType(java.lang.String aType)

      Get the type enumerated value given the matching string.
      Parameters:
        `aType` - `Type` enumerated string to convert to an enumerated `Type` instance.
      Returns:
        Enumerated `Type` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `Type` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `Type` value to a `String` .
      Overrides:
        `toString` in class `java.lang.Enum<EPPValidatePostalDefinition.Type>`

Copyright © VeriSign Inc. All Rights Reserved.